require 'rails_helper'

module Mks
  module Maintenance
    RSpec.describe CostType, type: :model do
      it 'has a valid factory' do
        expect(create(:cost_type)).to be_valid
      end

      it 'is invalid with no code' do
        expect(build(:cost_type, code: nil)).not_to be_valid
      end

      it 'is invalid with no name' do
        expect(build(:cost_type, name: nil)).not_to be_valid
      end

      it 'is invalid with duplicate code' do
        su = create(:cost_type)
        expect(build(:cost_type, code: su.code)).not_to be_valid
      end

      it 'is invalid with duplicate name' do
        su = create(:cost_type)
        expect(build(:cost_type, name: su.name)).not_to be_valid
      end

      it 'is invalid with no fields' do
        expect(build(:cost_type, fields: nil)).not_to be_valid
      end
    end
  end
end