require 'rails_helper'

module Mks
  module Maintenance
    RSpec.describe MaintenanceCategory, type: :model do
      it 'has a valid factory' do
        expect(create(:maintenance_category)).to be_valid
      end

      it 'is invalid with no code' do
        expect(build(:maintenance_category, code: nil)).not_to be_valid
      end

      it 'is invalid with no name' do
        expect(build(:maintenance_category, name: nil)).not_to be_valid
      end

      it 'is invalid with duplicate code' do
        su = create(:maintenance_category)
        expect(build(:maintenance_category, code: su.code)).not_to be_valid
      end

      it 'is invalid with duplicate name' do
        su = create(:maintenance_category)
        expect(build(:maintenance_category, name: su.name)).not_to be_valid
      end

      it 'is valid with no description' do
        expect(create(:maintenance_category, description: nil)).to be_valid
      end
    end
  end
end