require 'rails_helper'

module Mks
  module Maintenance
    RSpec.describe MaintenanceCost, type: :model do
      it 'has a valid factory' do
        expect(create(:maintenance_cost)).to be_valid
      end

      it 'is invalid with no cost type' do
        expect(build(:maintenance_cost, cost_type: nil)).not_to be_valid
      end

      it 'is invalid with no job card' do
        expect(build(:maintenance_cost, job_card: nil)).not_to be_valid
      end

      it 'is invalid with no cost details' do
        expect(build(:maintenance_cost, cost_detail: nil)).not_to be_valid
      end
    end
  end
end