require 'rails_helper'

module Mks
  module Maintenance
    RSpec.describe MaintenanceStatus, type: :model do
      it 'has a valid factory' do
        expect(create(:maintenance_status)).to be_valid
      end

      it 'is invalid with no code' do
        expect(build(:maintenance_status, code: nil)).not_to be_valid
      end

      it 'is invalid with no name' do
        expect(build(:maintenance_status, name: nil)).not_to be_valid
      end

      it 'is invalid with duplicate code' do
        su = create(:maintenance_status)
        expect(build(:maintenance_status, code: su.code)).not_to be_valid
      end

      it 'is invalid with duplicate name' do
        su = create(:maintenance_status)
        expect(build(:maintenance_status, name: su.name)).not_to be_valid
      end

      it 'is valid with no description' do
        expect(create(:maintenance_status, description: nil)).to be_valid
      end
    end
  end
end