require 'rails_helper'

module Mks
  module Maintenance
    RSpec.describe MaintenanceType, type: :model do
      it 'has a valid factory' do
        expect(create(:maintenance_type)).to be_valid
      end

      it 'is invalid with no code' do
        expect(build(:maintenance_type, code: nil)).not_to be_valid
      end

      it 'is invalid with no name' do
        expect(build(:maintenance_type, name: nil)).not_to be_valid
      end

      it 'is invalid with no category' do
        expect(build(:maintenance_type, maintenance_category: nil)).not_to be_valid
      end

      it 'is invalid with duplicate code' do
        su = create(:maintenance_type)
        expect(build(:maintenance_type, code: su.code)).not_to be_valid
      end

      it 'is valid with no description' do
        expect(create(:maintenance_type, description: nil)).to be_valid
      end
    end
  end
end