require 'rails_helper'

module Mks
  module Maintenance
    RSpec.describe ScheduleSetting, type: :model do
      it 'has a valid factory' do
        expect(create(:schedule_setting)).to be_valid
      end

      it 'is invalid with no equipment' do
        expect(build(:schedule_setting, equipment: nil)).not_to be_valid
      end

      it 'is invalid with no maintenance type' do
        expect(build(:schedule_setting, maintenance_type: nil)).not_to be_valid
      end

      it 'is invalid with no schedule unit' do
        expect(build(:schedule_setting, schedule_unit: nil)).not_to be_valid
      end

      it 'is invalid with no value' do
        expect(build(:schedule_setting, value: nil)).not_to be_valid
      end
    end
  end
end