require 'rails_helper'

module Mks
  module Maintenance
    RSpec.describe ScheduleUnit, type: :model do
      it 'has a valid factory' do
        expect(create(:schedule_unit)).to be_valid
      end

      it 'is invalid with no code' do
        expect(build(:schedule_unit, code: nil)).not_to be_valid
      end

      it 'is invalid with no name' do
        expect(build(:schedule_unit, name: nil)).not_to be_valid
      end

      it 'is invalid with duplicate code' do
        su = create(:schedule_unit)
        expect(build(:schedule_unit, code: su.code)).not_to be_valid
      end

      it 'is invalid with duplicate name' do
        su = create(:schedule_unit)
        expect(build(:schedule_unit, name: su.name)).not_to be_valid
      end

      it 'is valid with no description' do
        expect(create(:schedule_unit, description: nil)).to be_valid
      end
    end
  end
end