require 'rails_helper'

module Mks
  module Maintenance
    RSpec.describe FilterUtil do
      before(:all) do
        @util = FilterUtil.new
      end

      describe '#get_filtered_data' do
        it 'filters any object based on both negative and positive conditions' do
          2.times { create(:maintenance_service_order) }
          2.times { create(:maintenance_service_order, approved: true) }
          filters = [{ key: 'approved', value: false, cond: 'P' }, { key: 'approved', value: true, cond: 'N' }]
          result = @util.get_filtered_data('Mks::Maintenance::MaintenanceServiceOrder', filters)
          expect(result.count).to eq(2)
        end
      end

      describe '#get_filtered_data' do
        it 'filters any object based on only negative conditions' do
          2.times { create(:maintenance_service_order) }
          2.times { create(:maintenance_service_order, approved: true) }
          filters = [{ key: 'approved', value: false, cond: 'N' }]
          result = @util.get_filtered_data('Mks::Maintenance::MaintenanceServiceOrder', filters)
          expect(result.count).to eq(2)
        end
      end

    end
  end
end